### Enumeration

# EBookContacts PhoneNumberFormat

since: 3.8

#### Declaration

    enum EBookContacts.PhoneNumberFormat

#### Description [src]

The supported formatting rules for phone numbers.

Available since: 3.8

#### Members

`E_PHONE_NUMBER_FORMAT_E164`

  Format according E.164: “+493055667788”.

  - Value: `0`
  - Available since: 3.8
`E_PHONE_NUMBER_FORMAT_INTERNATIONAL`

  A formatted phone number always starting with the country calling code: “+49 30 55667788”.

  - Value: `1`
  - Available since: 3.8
`E_PHONE_NUMBER_FORMAT_NATIONAL`

  A formatted phone number in national scope, that is without country calling code: “(030) 55667788”.

  - Value: `2`
  - Available since: 3.8
`E_PHONE_NUMBER_FORMAT_RFC3966`

  A tel: URL according to RFC 3966: “tel:+49-30-55667788”.

  - Value: `3`
  - Available since: 3.8